<!-- affichage OT: traiter, non traiter et colturer  pour responsable -->


<!-- affichage OT non traiter  -->
<div *ngIf="isNonTraiter" >
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   " >Liste des ordres de tarvail non traitées</h4>
                            <p class="card-category"> </p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead >
                                    <th class="td-actions text-center">
                                        ID
                                    </th>
                                    <th class="td-actions text-center">
                                        Responsable
                                    </th>
                                    <th class="td-actions text-center">
                                        Gouvernante
                                    </th>
                                    <th class="td-actions text-center">
                                        Intervenants
                                    </th>
                                    <th class="td-actions text-center">
                                        Emplacment

                                    </th>
                                    <th class="td-actions text-center">
                                        Panne
                                    </th>
                                    <th class="td-actions text-center">
                                        Priorité
                                    </th>

                                    <th class="td-actions text-center">
                                        Date début intervention
                                    </th>
                                    <th class="td-actions text-center">
                                        Date limite intervention
                                    </th>
                                    <th>

                                    </th>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor=" let c of ordres">
                                        <td class="td-actions text-center">{{c.id}}</td>
                                        <td class="td-actions text-center">{{c.Responsable.prenom}}</td>
                                        <td class="td-actions text-center">{{c.Gouvernante.prenom}}</td>
                                        <td class="td-actions text-center" > <div *ngFor=" let p of c.Intervenants" > {{p.prenom}} </div></td>
                                        <td class="td-actions text-center">{{c.Emplacement.libelle_emplacement}}</td>
                                        <td  class="td-actions text-center"> <div *ngFor=" let p of c.Pannes" > {{p.libelle_panne}} </div></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'bas'" > <span class="vert"> {{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'haut'"> <span class="red">{{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'moyenne'" ><span class="orang">{{c.priorite}}</span></td>
                                        <td class="td-actions text-center">{{c.date_deb_interv | date:'short'}}</td>
                                        <td class="td-actions text-center"> {{c.date_limit_interv | date:'short'}} </td>

                                        <td>
                                            <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left"
                                                    [routerLink]="[ '/ordreTravailNonTraiter', c.id ]">Détails </button>
                                        </td>


                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- affichage OT traiter  -->
<div *ngIf="isTraiter" >
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   " >Liste des ordres de tarvail traitées</h4>
                            <p class="card-category"> </p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead >
                                    <th class="td-actions text-center">
                                        ID
                                    </th>
                                    <th class="td-actions text-center">
                                        Responsable
                                    </th>
                                    <th class="td-actions text-center">
                                        Gouvernante
                                    </th>
                                    <th class="td-actions text-center">
                                        Intervenants
                                    </th>
                                    <th class="td-actions text-center">
                                        Priorité
                                    </th>
                                    <th class="td-actions text-center">
                                       Emplacment

                                    </th>
                                    <th class="td-actions text-center">
                                        Panne
                                    </th>

                                    <th class="td-actions text-center">
                                        Date début intervention
                                    </th>
                                    <th class="td-actions text-center">
                                        Date fin intervention
                                    </th>

                                    <th>
                                    </th>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor=" let c of  ordres">
                                        <td class="td-actions text-center">{{c.id}}</td>
                                        <td class="td-actions text-center">{{c.Responsable.prenom}}</td>
                                        <td class="td-actions text-center">{{c.Gouvernante.prenom}}</td>
                                        <td  class="td-actions text-center"> <div *ngFor=" let p of c.Intervenants" > {{p.prenom}} </div></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'bas'" > <span class="vert"> {{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'haut'"> <span class="red">{{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'moyenne'" ><span class="orang">{{c.priorite}}</span></td>
                                        <td class="td-actions text-center">{{c.Emplacement.libelle_emplacement}}</td>
                                        <td class="td-actions text-center" > <div *ngFor=" let t of c.Pannes" > {{t.libelle_panne}} </div></td>
                                        <td class="td-actions text-center">{{c.date_deb_interv | date:'short'}}</td>
                                        <td class="td-actions text-center">{{c.date_fin_inter | date:'short'}}</td>

                                        <td>
                                            <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left"
                                                    [routerLink]="[ '/ordreTravailTraiter', c.id ]">Détails </button>

                                        </td>

                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- affichage OT cloturer  -->
<div *ngIf="isCloturer" >
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   " >Liste des ordres de tarvail cloturées</h4>
                            <p class="card-category"> </p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead >
                                    <th class="td-actions text-center">
                                        ID
                                    </th>
                                    <th class="td-actions text-center">
                                        Responsable
                                    </th>
                                    <th class="td-actions text-center">
                                        Gouvernante
                                    </th>
                                    <th class="td-actions text-center">
                                        Intervenants
                                    </th>
                                    <th class="td-actions text-center">
                                        Priorité
                                    </th>
                                    <th class="td-actions text-center">
                                        Emplacment

                                    </th>
                                    <th class="td-actions text-center">
                                        Panne
                                    </th>

                                    <th class="td-actions text-center">
                                        Date début intervention
                                    </th>
                                    <th class="td-actions text-center">
                                        Date fin intervention
                                    </th>

                                    <th>

                                    </th>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor=" let c of  ordres">
                                        <td class="td-actions text-center">{{c.id}}</td>
                                        <td class="td-actions text-center">{{c.Responsable.prenom}}</td>
                                        <td class="td-actions text-center">{{c.Gouvernante.prenom}}</td>
                                        <td class="td-actions text-center" > <div *ngFor=" let p of c.Intervenants" > {{p.prenom}} </div></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'bas'" > <span class="vert"> {{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'haut'"> <span class="red">{{c.priorite}}</span></td>
                                        <td class="td-actions text-center" *ngIf="c.priorite == 'moyenne'" ><span class="orang">{{c.priorite}}</span></td>
                                        <td class="td-actions text-center">{{c.Emplacement.libelle_emplacement}}</td>
                                        <td class="td-actions text-center" > <div *ngFor=" let t of c.Pannes" > {{t.libelle_panne}} </div></td>

                                        <td class="td-actions text-center">{{c.date_deb_interv | date:'short'}}</td>
                                        <td class="td-actions text-center">{{c.date_fin_inter| date:'short'}}</td>

                                        <td>
                                            <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left"
                                                    [routerLink]="[ '/ordreTravailCloturer', c.id ]">Détails </button>

                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
